Package org.linphone.core

# Enum Class EventLog.Type

java.lang.Object
java.lang.Enum<EventLog.Type>
org.linphone.core.EventLog.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<EventLog.Type>`, `Constable`

Enclosing interface:
  EventLog

public static enum EventLog.Type extends Enum<EventLog.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ConferenceAllowedParticipantListChanged`
Conference allowed participant changed event.
`ConferenceAvailableMediaChanged`
Conference available media event.
`ConferenceCallEnded`
Conference call (end) event.
`ConferenceCallStarted`
Conference call (start) event.
`ConferenceChatMessage`
Conference chat message event.
`ConferenceChatMessageReaction`
Reaction event to a chat message.
`ConferenceConnected`
Conference call (connected) event.
`ConferenceCreated`
Conference (created) event.
`ConferenceEphemeralMessageDisabled`
Conference ephemeral message (ephemeral message disabled) event.
`ConferenceEphemeralMessageEnabled`
Conference ephemeral message (ephemeral message enabled) event.
`ConferenceEphemeralMessageLifetimeChanged`
Conference ephemeral message (ephemeral message lifetime changed) event.
`ConferenceEphemeralMessageManagedByAdmin`
Conference ephemeral message (ephemeral message settings managed by admin)
event.
`ConferenceEphemeralMessageManagedByParticipants`
Conference ephemeral message (ephemeral message settings managed by
participants) event.
`ConferenceParticipantAdded`
Conference participant (added) event.
`ConferenceParticipantDeviceAdded`
Conference participant device (added) event.
`ConferenceParticipantDeviceJoiningRequest`
Conference participant device (joining request) event.
`ConferenceParticipantDeviceMediaAvailabilityChanged`
Conference participant device (media availability changed) event.
`ConferenceParticipantDeviceMediaCapabilityChanged`
Conference participant device (media capability changed) event.
`ConferenceParticipantDeviceRemoved`
Conference participant device (removed) event.
`ConferenceParticipantDeviceStatusChanged`
Conference participant device (left) event.
`ConferenceParticipantRemoved`
Conference participant (removed) event.
`ConferenceParticipantRoleListener`
Conference participant (role listener) event.
`ConferenceParticipantRoleSpeaker`
Conference participant (role speaker) event.
`ConferenceParticipantRoleUnknown`
Conference participant (role unknown) event.
`ConferenceParticipantSetAdmin`
Conference participant (set admin) event.
`ConferenceParticipantUnsetAdmin`
Conference participant (unset admin) event.
`ConferenceSecurityEvent`
Conference encryption security event.
`ConferenceSubjectChanged`
Conference subject event.
`ConferenceTerminated`
Conference (terminated) event.
`None`
No defined event.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static EventLog.Type`
`fromInt(int value)`
`int`
`toInt()`
`static EventLog.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EventLog.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### None

public static final EventLog.Type None
No defined event.

### ConferenceCreated

public static final EventLog.Type ConferenceCreated
Conference (created) event.

### ConferenceTerminated

public static final EventLog.Type ConferenceTerminated
Conference (terminated) event.

### ConferenceCallStarted

public static final EventLog.Type ConferenceCallStarted
Conference call (start) event.

### ConferenceConnected

public static final EventLog.Type ConferenceConnected
Conference call (connected) event.

### ConferenceCallEnded

public static final EventLog.Type ConferenceCallEnded
Conference call (end) event.

### ConferenceChatMessage

public static final EventLog.Type ConferenceChatMessage
Conference chat message event.

### ConferenceAllowedParticipantListChanged

public static final EventLog.Type ConferenceAllowedParticipantListChanged
Conference allowed participant changed event.

### ConferenceParticipantAdded

public static final EventLog.Type ConferenceParticipantAdded
Conference participant (added) event.

### ConferenceParticipantRemoved

public static final EventLog.Type ConferenceParticipantRemoved
Conference participant (removed) event.

### ConferenceParticipantRoleUnknown

public static final EventLog.Type ConferenceParticipantRoleUnknown
Conference participant (role unknown) event.

### ConferenceParticipantRoleSpeaker

public static final EventLog.Type ConferenceParticipantRoleSpeaker
Conference participant (role speaker) event.

### ConferenceParticipantRoleListener

public static final EventLog.Type ConferenceParticipantRoleListener
Conference participant (role listener) event.

### ConferenceParticipantSetAdmin

public static final EventLog.Type ConferenceParticipantSetAdmin
Conference participant (set admin) event.

### ConferenceParticipantUnsetAdmin

public static final EventLog.Type ConferenceParticipantUnsetAdmin
Conference participant (unset admin) event.

### ConferenceParticipantDeviceAdded

public static final EventLog.Type ConferenceParticipantDeviceAdded
Conference participant device (added) event.

### ConferenceParticipantDeviceRemoved

public static final EventLog.Type ConferenceParticipantDeviceRemoved
Conference participant device (removed) event.

### ConferenceParticipantDeviceJoiningRequest

public static final EventLog.Type ConferenceParticipantDeviceJoiningRequest
Conference participant device (joining request) event.

### ConferenceParticipantDeviceMediaCapabilityChanged

public static final EventLog.Type ConferenceParticipantDeviceMediaCapabilityChanged
Conference participant device (media capability changed) event.

### ConferenceParticipantDeviceMediaAvailabilityChanged

public static final EventLog.Type ConferenceParticipantDeviceMediaAvailabilityChanged
Conference participant device (media availability changed) event.

### ConferenceParticipantDeviceStatusChanged

public static final EventLog.Type ConferenceParticipantDeviceStatusChanged
Conference participant device (left) event.

### ConferenceSubjectChanged

public static final EventLog.Type ConferenceSubjectChanged
Conference subject event.

### ConferenceAvailableMediaChanged

public static final EventLog.Type ConferenceAvailableMediaChanged
Conference available media event.

### ConferenceSecurityEvent

public static final EventLog.Type ConferenceSecurityEvent
Conference encryption security event.

### ConferenceEphemeralMessageLifetimeChanged

public static final EventLog.Type ConferenceEphemeralMessageLifetimeChanged
Conference ephemeral message (ephemeral message lifetime changed) event.

### ConferenceEphemeralMessageEnabled

public static final EventLog.Type ConferenceEphemeralMessageEnabled
Conference ephemeral message (ephemeral message enabled) event.

### ConferenceEphemeralMessageDisabled

public static final EventLog.Type ConferenceEphemeralMessageDisabled
Conference ephemeral message (ephemeral message disabled) event.

### ConferenceEphemeralMessageManagedByAdmin

public static final EventLog.Type ConferenceEphemeralMessageManagedByAdmin
Conference ephemeral message (ephemeral message settings managed by admin)
event.

### ConferenceEphemeralMessageManagedByParticipants

public static final EventLog.Type ConferenceEphemeralMessageManagedByParticipants
Conference ephemeral message (ephemeral message settings managed by
participants) event.

### ConferenceChatMessageReaction

public static final EventLog.Type ConferenceChatMessageReaction
Reaction event to a chat message.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static EventLog.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EventLog.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static EventLog.Type fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()